/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Mozilla.org.
 * Portions created by the Initial Developer are Copyright (C) 2004
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): Dan Yamaoka
 *
 * ***** END LICENSE BLOCK ***** */

/*----------------------
 CookieCuller 1.1.0
 Dan Yamaoka
 
 File History:
 1.1.0 New code to support deleting unprotected cookies at browser startup
 ----------------------*/

 function onDialogLoad() {
    var cookieculler_prefs = Components.classes["@mozilla.org/preferences-service;1"].
                               getService(Components.interfaces.nsIPrefService).
                               getBranch("extensions.cookieculler_options.");
    var checkbox = document.getElementById("delUnprotAtStartup");
    if (cookieculler_prefs.prefHasUserValue("delUnprotAtStartup")) {
	    checkbox.checked = cookieculler_prefs.getBoolPref("delUnprotAtStartup");
    }
    else {
       checkbox.checked = false;
       cookieculler_prefs.setBoolPref("delUnprotAtStartup", false);
    }
 }

 function onDialogAccept() {
    var cookieculler_prefs = Components.classes["@mozilla.org/preferences-service;1"].
                               getService(Components.interfaces.nsIPrefService).
                               getBranch("extensions.cookieculler_options.");
    var checkbox = document.getElementById("delUnprotAtStartup");
    cookieculler_prefs.setBoolPref("delUnprotAtStartup", checkbox.checked);
 }
